package com.jz.dm.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jz.common.constant.ResultMsg;
import com.jz.common.utils.Result;
import com.jz.dm.mapper.ApiOrgMapper;
import com.jz.dm.models.domian.ApiOrg;
import com.jz.dm.models.req.OrganizationManageAddReq;
import com.jz.dm.models.req.OrganizationManageDetailQueryReq;
import com.jz.dm.models.req.OrganizationManageListQueryReq;
import com.jz.dm.models.req.OrganizationManageUpdateReq;
import com.jz.dm.service.OrganizationManageService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.BeanUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.Date;

/**
 * @author ZC
 * @PACKAGE_NAME: com.jz.dm.service.impl
 * @PROJECT_NAME: jz-dm-parent
 * @NAME: OrganizationManageImpl
 * @DATE: 2020-12-23/16:50
 * @DAY_NAME_SHORT: 周三
 * @Description:
 **/
@Service("organizationManageService")
@Slf4j
public class OrganizationManageImpl implements OrganizationManageService {

     @Resource
     private ApiOrgMapper apiOrgMapper;
     //@Resource
     //private RedisTemplate redisTemplate;
    ///**
    // * 组织列表信息查询
    // * @param req
    // * @return
    // */
    //@Override
    //public IPage<ApiOrg> listOrganization(OrganizationManageListQueryReq req) {
    //    IPage<ApiOrg> page = new Page<>(req.getPageNum(), req.getPageSize());
    //    QueryWrapper<ApiOrg> query = new QueryWrapper<>();
    //    query.orderByDesc("create_time");
    //    return apiOrgMapper.selectPage(page,query);
    //}
    //
    ///**
    // * 获取组织详情
    // * @param req
    // * @return
    // */
    //@Override
    //public Result getOrganizationDetail(OrganizationManageDetailQueryReq req) {
    //    return Result.of_success(apiOrgMapper.selectById(req.getId()));
    //}
    //
    ///**
    // * 添加组织
    // * @param req
    // * @return
    // */
    //@Override
    //public Result add(OrganizationManageAddReq req) {
    //    //SysUserDto currentUser = (SysUserDto)redisTemplate.opsForValue().get("user"+ RedisMessageConstant.SENDTYPE_LOGIN_SYS);
    //    //if (null == currentUser){
    //    //    return Result.of_error(ResultMsg.USER_NOT_EXIST);
    //    //}
    //    ApiOrg apiOrg = new ApiOrg();
    //    BeanUtils.copyProperties(req,apiOrg);
    //    apiOrg.setOrgCode("1111");//组织编码需要生成
    //    //apiOrg.setCreateUser(currentUser.getUserName());
    //    if (apiOrgMapper.insert(apiOrg) > 0){
    //        return Result.of_success(ResultMsg.INSERT_SUCCESS);
    //    }
    //    return Result.of_error(ResultMsg.INSERT_FAIL);
    //}
    //
    ///**
    // * 更新组织
    // * @param req
    // * @return
    // */
    //@Override
    //public Result update(OrganizationManageUpdateReq req) {
    //    //SysUserDto currentUser = (SysUserDto)redisTemplate.opsForValue().get("user"+ RedisMessageConstant.SENDTYPE_LOGIN_SYS);
    //    //if (null == currentUser){
    //    //    return Result.of_error(ResultMsg.USER_NOT_EXIST);
    //    //}
    //    ApiOrg apiOrg = apiOrgMapper.selectById(req.getId());
    //    if (null == apiOrg){
    //        return Result.of_error("组织信息不存在!");
    //    }
    //    ApiOrg apiOrgUpdate = new ApiOrg();
    //    apiOrgUpdate.setId(apiOrg.getId());
    //    BeanUtils.copyProperties(req,apiOrgUpdate);
    //    apiOrgUpdate.setUpdateDate(new Date());
    //    //apiOrgUpdate.setUpdateUser(currentUser.getUserName());
    //    if (apiOrgMapper.updateById(apiOrgUpdate) > 0){
    //        return Result.of_success(ResultMsg.UPDATE_SUCCESS);
    //    }
    //    return Result.of_success(ResultMsg.UPDATE_FAIL);
    //}
}
